Loading...
Searching...
No Matches
BALL::JohnsonBoveyShiftProcessor::Ring Struct Reference

`#include <BALL/NMR/johnsonBoveyShiftProcessor.h>`

## Public Member Functions

bool | operator== (const Ring &ring) const
bool | operator!= (const Ring &ring) const

## Public Attributes

double | radius
double | intensity
Size | electrons
std::vector< String > | atom_names

## Detailed Description

Definition at line 50 of file johnsonBoveyShiftProcessor.h.

## Member Function Documentation

## operator!=()

bool BALL::JohnsonBoveyShiftProcessor::Ring::operator!= | ( | const Ring & | ring | ) | const

inline

Definition at line 58 of file johnsonBoveyShiftProcessor.h.

## operator==()

bool BALL::JohnsonBoveyShiftProcessor::Ring::operator== | ( | const Ring & | ring | ) | const

## Member Data Documentation

## atom_names

std::vector<String> BALL::JohnsonBoveyShiftProcessor::Ring::atom_names

Definition at line 55 of file johnsonBoveyShiftProcessor.h.

## electrons

Size BALL::JohnsonBoveyShiftProcessor::Ring::electrons

Definition at line 54 of file johnsonBoveyShiftProcessor.h.

## intensity

double BALL::JohnsonBoveyShiftProcessor::Ring::intensity

Definition at line 53 of file johnsonBoveyShiftProcessor.h.

## radius

double BALL::JohnsonBoveyShiftProcessor::Ring::radius

Definition at line 52 of file johnsonBoveyShiftProcessor.h.